%define		rpm_macros_rev	1.650
%define		find_lang_rev	1.35
Summary:	PLD Linux RPM build macros
Summary(pl.UTF-8):	Makra do budowania pakietów RPM dla Linuksa PLD
Name:		rpm-build-macros
Version:	%{rpm_macros_rev}
Release:	2
License:	GPL
Group:		Development/Building
Source0:	rpm.macros
Source1:	service_generator.sh
Source2:	rpm-build.sh
Source3:	rpm-find-lang
Source4:	dokuwiki-find-lang.sh
Patch0:		disable-systemd.patch
#Patchx: %{name}-pydebuginfo.patch
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	sed >= 4.0
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-macros
# rm: option `--interactive' doesn't allow an argument
Conflicts:	coreutils < 6.9
Conflicts:	gettext-devel < 0.11
# tmpdir/_tmppath macros problems; optcppflags missing
Conflicts:	rpm < 4.4.9-72
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
# sysconfig module with proper 'purelib' path
Conflicts:	python3 < 1:3.2.1-3
%if "%{pld_release}" != "ac"
# libtool --install
Conflicts:	libtool < 2:2.2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine to bootstrap
%define		_usrlibrpm %{_prefix}/lib/rpm

%description
This package contains rpm build macros for PLD Linux.

%description -l pl.UTF-8
Ten pakiet zawiera makra rpm-a do budowania pakietów dla Linuksa PLD.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

%if "%{pld_release}" == "ac"
%{__sed} -i -e '/libtoolize --copy --force --install/s/ --install//' rpm.macros
%patch0 -p1
%endif

%build
%{__sed} -i -e 's,\$Revision\$,%{rpm_macros_rev},' rpm.macros

rev=$(awk '/^%%rpm_build_macros/{print $2}' rpm.macros)
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi
rev=$(awk -F= '/^VERSION/{print $2}' %{SOURCE3})
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_usrlibrpm},/etc/shrc.d}
cp -a rpm.macros $RPM_BUILD_ROOT%{_usrlibrpm}/macros.build
install -p service_generator.sh $RPM_BUILD_ROOT%{_usrlibrpm}
install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/shrc.d/rpm-build.sh
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_usrlibrpm}/find-lang.sh
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_usrlibrpm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_usrlibrpm}/macros.build
%attr(755,root,root) %{_usrlibrpm}/service_generator.sh
%attr(755,root,root) %{_usrlibrpm}/find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/dokuwiki-find-lang.sh
/etc/shrc.d/rpm-build.sh
%changelog
* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 0572f69
- release 2 (by relup.sh)

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> a994b98
php deps: make php internal deps based on package basename (php, php52, php54)

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> 3e0cf0d
1.650: add php_name and php_suffix macros for building versioned php packages

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> 84bc5ff
adjust to build with git

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> b586c48
autotag: make git complatible (however needs to be in package dir)

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> b591735
execute bits restored

* Fri Apr 27 2012 Elan Ruusamäe <glen@pld-linux.org> 05a280b
- add zh-cn

* Sun Apr 01 2012 hawk <hawk@pld-linux.org> 9d71128
- release 2

* Wed Mar 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a52f309
- hack for 3.3 kernel for x86 arch

* Tue Mar 20 2012 Jan Rękorajski <baggins@pld-linux.org> 0eaecac
- 1.648

* Tue Mar 20 2012 Jan Rękorajski <baggins@pld-linux.org> 5b7659c
- always create man include directives in the form ".so manX/cmd.X"

* Tue Mar 13 2012 Elan Ruusamäe <glen@pld-linux.org> 41a788e
- disable systemd in service generator as well

* Tue Mar 13 2012 Elan Ruusamäe <glen@pld-linux.org> 3db944c
- patch without previous (never commited) patch

* Tue Mar 13 2012 Elan Ruusamäe <glen@pld-linux.org> b0a9798
- do it the hard way, clear systemd macros

* Tue Mar 13 2012 Elan Ruusamäe <glen@pld-linux.org> a1f59e1
- disable systemd for ac

* Fri Mar 09 2012 Elan Ruusamäe <glen@pld-linux.org> 99fac57
- update discarded php4 pkgs

* Fri Feb 17 2012 Jan Rękorajski <baggins@pld-linux.org> 55b1f31
- 1.647
- added generic systemd_service macro and systemd_service_reload

* Fri Feb 17 2012 Jan Rękorajski <baggins@pld-linux.org> b3dce84
- no option for systemd_service_enable

* Fri Feb 17 2012 Jan Rękorajski <baggins@pld-linux.org> b91bf64
- cosmetics

* Fri Feb 17 2012 Jan Rękorajski <baggins@pld-linux.org> 48b92d3
- 1.644
- add new and cleanup existing systemd macros

